VariableResolverImpl (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.VariableResolverImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.dataimport
Class VariableResolverImpl

    java.lang.Object
      org.apache.solr.handler.dataimport.VariableResolver
          org.apache.solr.handler.dataimport.VariableResolverImpl

    public class VariableResolverImpl

extends VariableResolver

The default implementation of VariableResolver interface

This API is experimental and may change in the future.

Since:
  solr 1.3
Version:
  $Id: VariableResolverImpl.java 1149112 2011-07-21 11:02:46Z shalin $
See Also:
  `VariableResolver`

Constructor Summary
`VariableResolverImpl()`
`VariableResolverImpl(Map defaults)`

Method Summary
`VariableResolverImpl` | `addNamespace(String name, Map<String,Object> map)`
`void` | `removeNamespace(String name)`
`String` | `replaceTokens(String template)` Given a String with place holders, replace them with the value tokens.
`Object` | `resolve(String name)` Resolves a given value with a name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableResolverImpl

    public VariableResolverImpl()

### VariableResolverImpl

    public VariableResolverImpl(Map defaults)

Method Detail

### addNamespace

    public VariableResolverImpl addNamespace(String name,
                                             Map<String,Object> map)

### removeNamespace

    public void removeNamespace(String name)

### replaceTokens

    public String replaceTokens(String template)

  Description copied from class: `VariableResolver`
  Given a String with place holders, replace them with the value tokens.

  Specified by:
    `replaceTokens` in class `VariableResolver`
  Returns:
    the string with the placeholders replaced with their values

### resolve

    public Object resolve(String name)

  Description copied from class: `VariableResolver`
  Resolves a given value with a name

  Specified by:
    `resolve` in class `VariableResolver`
  Parameters:
    `name` - the String to be resolved
  Returns:
    an Object which is the result of evaluation of given name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD